function U = backward_euler(f, t, u0)
%BACKWARD_EULER: Solve du/dt = f(t, u) with u(t0) = u0 using Backward Euler Method
%
% Syntax: U = backward_euler(f, t, u0)
% Inputs:
%   f     = function handle, the right-hand side of the ODE du/dt = f(t, u)
%   t     = a vector, the time points at which solution to be found. Note: t(1) = a, t(end) = b
%   u0    = a scalar, the initial value of the solution to the ODE
% Outputs:
%   U     = a vector, the solution of ODE corresponds to t, i.e., U(1) = U(t(1)) = u0, and etc.
%
% Author: first_name last_name
% Date: mm/dd/yyyy

% PUT YOUR CODE HERE

end
